# Script Information.




#### Drush snippets

Drush is a powerful tool that allows a developer manage the website from the 
command line. Below are some snippets that are commonly used in development.
The command below need to be run from the web root. For more information please
follow the link below.
 
###### Clear website caches

```
../vendor/drush/drush/drush cr
```

###### Installing website.

Should only be used for init install or in development

```
../vendor/drush/drush/drush si --account-name=admin --account-pass=a --account-mail=admin@admin.com
```

###### Reinstalling website in development.

```
drush site:install --existing-config 
```

#### Coding standards

The following commands should be run before code is committed to clear all 
common know issue when developing code for Drupal. For more information please
see: https://www.drupal.org/docs/contributed-modules/code-review-module/installing-coder-sniffer

```
phpcs --standard=DrupalPractice --extensions=php,module,inc,install,test,profile,theme,css,info,txt,md,yml .
```

```
phpcbf --standard=Drupal --extensions=php,module,inc,install,test,profile,theme,css,info,txt,md,yml .
```
